## bibtool 2.34

=== Doc/Makefile ===
##*****************************************************************************
## $Id: Makefile,v 2.38 1995/01/01 18:25:15 gerd Exp $
##=============================================================================
## 
## This file is part of BibTool.
## It is distributed under the GNU General Public License.
## See the file COPYING for details.
## 
## (c) 1995 Gerd Neugebauer
## 
## Net: gerd@imn.th-leipzig.de
## 
##*****************************************************************************

LATEX     = latex
BIBTEX    = bibtex
MAKEINDEX = makeindex

DIR_SEP   = /

.SUFFIXES: .tex .toc .dvi .aux .bbl .ind .idx $(SUFFIXES)

.tex.dvi:
	$(LATEX) $<
.tex.toc:
	$(LATEX) $<
.tex.idx:
	$(LATEX) $<
.tex.aux:
	$(LATEX) $<
.aux.bbl:
	$(BIBTEX) $*

bibtool.dvi: bibtool.tex bibtool.bbl bibtool.ind
	$(LATEX) bibtool
	$(LATEX) bibtool

bibtool.ind ind index: bibtool.idx
	$(MAKEINDEX) -s bibtool.ist bibtool

config.tex: ..$(DIR_SEP)Makefile ..$(DIR_SEP)config.h
	cd ..; $(MAKE) Doc$(DIR_SEP)config.tex

clean:
	$(RM) *.bak *.BAK *~ *.log *.ilg *.blg

veryclean:
	$(RM) *.bak *.BAK *~ *.log *.toc *.aux *.idx *.ind *.ilg *.bbl *.blg

## bibtool 2.43

=== Doc/Makefile ===
--- 
+++ 
@@ -1,14 +1,14 @@
 ##*****************************************************************************
-## $Id: Makefile,v 2.38 1995/01/01 18:25:15 gerd Exp $
+## $Id: Makefile,v 2.42 1997/12/03 11:50:30 gerd Exp $
 ##=============================================================================
 ## 
 ## This file is part of BibTool.
 ## It is distributed under the GNU General Public License.
 ## See the file COPYING for details.
 ## 
-## (c) 1995 Gerd Neugebauer
+## (c) 1997 Gerd Neugebauer
 ## 
-## Net: gerd@imn.th-leipzig.de
+## Net: gerd@informatik.uni-koblenz.de
 ## 
 ##*****************************************************************************
 
@@ -31,6 +31,12 @@
 .aux.bbl:
 	$(BIBTEX) $*
 
+##-----------------------------------------------------------------------------
+
+all: bibtool.dvi ref_card.dvi c_lib
+
+##-----------------------------------------------------------------------------
+
 bibtool.dvi: bibtool.tex bibtool.bbl bibtool.ind
 	$(LATEX) bibtool
 	$(LATEX) bibtool
@@ -41,6 +47,82 @@
 config.tex: ..$(DIR_SEP)Makefile ..$(DIR_SEP)config.h
 	cd ..; $(MAKE) Doc$(DIR_SEP)config.tex
 
+##-----------------------------------------------------------------------------
+
+ref_card.dvi: ref_card.tex
+	$(LATEX) ref_card.tex
+
+##-----------------------------------------------------------------------------
+
+CDIR	= ..$(DIR_SEP)
+HDIR	= ..$(DIR_SEP)include$(DIR_SEP)bibtool$(DIR_SEP)
+CFILES	= $(HDIR)bibtool.h	\
+	  $(HDIR)database.h	\
+	  $(CDIR)database.c	\
+	  $(HDIR)entry.h	\
+	  $(CDIR)entry.c	\
+	  $(HDIR)error.h	\
+	  $(CDIR)error.c	\
+	  $(HDIR)expand.h	\
+	  $(CDIR)expand.c	\
+	  $(HDIR)init.h		\
+	  $(CDIR)init.c		\
+	  $(HDIR)keynode.h	\
+	  $(HDIR)key.h		\
+	  $(CDIR)key.c		\
+	  $(HDIR)macros.h	\
+	  $(CDIR)macros.c	\
+	  $(HDIR)names.h	\
+	  $(CDIR)names.c	\
+	  $(HDIR)parse.h	\
+	  $(CDIR)parse.c	\
+	  $(HDIR)print.h	\
+	  $(CDIR)print.c	\
+	  $(HDIR)pxfile.h	\
+	  $(CDIR)pxfile.c	\
+	  $(HDIR)record.h	\
+	  $(CDIR)record.c	\
+	  $(HDIR)rewrite.h	\
+	  $(CDIR)rewrite.c	\
+	  $(HDIR)resource.h	\
+	  $(HDIR)rsc.h		\
+	  $(CDIR)rsc.c		\
+	  $(HDIR)s_parse.h	\
+	  $(CDIR)s_parse.c	\
+	  $(HDIR)stack.h	\
+	  $(CDIR)stack.c	\
+	  $(HDIR)sbuffer.h	\
+	  $(CDIR)sbuffer.c	\
+	  $(HDIR)symbols.h	\
+	  $(CDIR)symbols.c	\
+	  $(HDIR)tex_aux.h	\
+	  $(CDIR)tex_aux.c	\
+	  $(HDIR)tex_read.h	\
+	  $(CDIR)tex_read.c	\
+	  $(HDIR)type.h		\
+	  $(CDIR)type.c		\
+	  $(HDIR)version.h	\
+	  $(CDIR)version.c	\
+	  $(HDIR)wordlist.h	\
+	  $(CDIR)wordlist.c
+
+c_lib:
+	$(LATEX) c_lib.tex
+	$(MAKEINDEX) -s bibtool.ist c_lib
+	$(LATEX) c_lib.tex
+
+c_lib.dvi: c_lib.tex c_main.tex c.tex
+	$(LATEX) c_lib.tex
+	$(MAKEINDEX) -s bibtool.ist c_lib
+	$(LATEX) c_lib.tex
+
+c_main.tex: $(CDIR)main.c c_get.pl
+	c_get.pl $(CDIR)main.c > $@
+c.tex: $(CFILES) c_get.pl
+	c_get.pl $(CFILES) >  $@
+
+##-----------------------------------------------------------------------------
+
 clean:
 	$(RM) *.bak *.BAK *~ *.log *.ilg *.blg

=== regex-0.12/doc/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile for regex documentation.
# 
# Copyright (C) 1992 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

# Installation directories.
prefix = /usr/local
infodir = $(prefix)/info

srcdir = .
VPATH = .:../.

INSTALL = /bin/install -c
INSTALL_DATA = $(INSTALL) -m 644

MAKEINFO = makeinfo --no-split
SHELL = /bin/sh
TEX = tex
TEXINDEX = texindex

default all: regex.info regex.dvi
.PHONY: default all

# We need to include some code from regex.h.
regex.texi: xregex.texi
	rm -f $@
	gawk -f include.awk -vsource=../$(srcdir)/regex.h \
	  <../$(srcdir)/doc/xregex.texi \
          | expand >$@
	chmod a-w $@

regex.dvi: regex.cps
	$(TEX) regex.texi
regex.cps: regex.cp
	$(TEXINDEX) regex.??
regex.cp: regex.texi
	$(TEX) ../$(srcdir)/doc/regex.texi

regex.info: regex.texi
	$(MAKEINFO) ../$(srcdir)/doc/regex.texi

# I know of no way to make a good TAGS file from Texinfo source.
TAGS:

check:
.PHONY: check

install: regex.info
	-mkdir $(prefix) $(infodir)
	for i in *.info*; do $(INSTALL_DATA) $$i $(infodir)/$$i; done
.PHONY: install

clean mostlyclean:
	rm -f regex.?? *.dvi *.log *.toc

distclean: clean
	rm -f Makefile
	for f in regex.??s; do if test -z "`cat $$f`"; then rm -f $$f; fi; done

realclean: distclean
	rm -f *.info* regex.??? regex.texi TAGS

extraclean: distclean
	rm -f patch* *~* *\#* *.orig *.rej *.bak core a.out
.PHONY: mostlyclean clean distclean realclean extraclean

Makefile: Makefile.in ../config.status
	(cd ..; sh config.status)

# Prevent GNU make 3 from overflowing arg limit on system V.
.NOEXPORT:

# Assumes $(distdir) is the place to put our files.
distfiles = Makefile.in *.texi texinfo.tex include.awk \
            regex.info* regex.aux regex.cps
dist: Makefile regex.info regex.cps
	mkdir $(distdir)
	ln $(distfiles) $(distdir)
.PHONY: dist

=== regex-0.12/test/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile for regex testing.
# 
# Copyright (C) 1992 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

CPPFLAGS =
CFLAGS = -g
LDFLAGS =

srcdir = .
VPATH = .:../.

CC = gcc
DEFS =  -DHAVE_STRING_H=1 -DHAVE_ALLOCA_H=1
LIBS =  $(LOADLIBES)

ETAGS = etags
SHELL = /bin/sh

debug = -DDEBUG
ALL_CPPFLAGS = -I. -I$(srcdir) -I../$(srcdir) $(DEFS) $(CPPFLAGS) $(debug)

.c.o:
	$(CC) $(ALL_CPPFLAGS) $(CFLAGS) -c $<


# Define this as `../regex.o' to get the optimized version.
regex_o = dregex.o
test_h = test.h
test_o = test.o bsd-interf.o other.o tregress.o psx-basic.o psx-extend.o \
         psx-generic.o psx-group.o psx-interf.o psx-interv.o
common_o = printchar.o upcase.o xmalloc.o $(malloc)

# We have a lot of mallocs we can try when we run afoul of strange bugs.
malloc = 
#malloc = # the libc malloc
#malloc = g++malloc.o
#malloc = debugmalloc.o
#malloc = emacsmalloc.o
emacsmallocflags = -Drcheck -Dbotch=abort -DUSG

# default is to do nothing.
default:

all: regex syntax

regex: $(regex_o) $(common_o) $(test_o) main.o
	$(CC) -o $@ $(LDFLAGS) $^ $(LIBS)

# As long as we're doing tests, we enable debugging.
dregex.o: ../regex.c ../regex.h
	rm -f $@
	$(CC) $(ALL_CPPFLAGS) $(CFLAGS) -c ../$(srcdir)/regex.c
	mv regex.o $@

# iregex is the interactive regex.
iregex: $(common_o) $(regex_o) iregex.o
	$(CC) -o $@ $(LDFLAGS) $^ $(LIBS)

# fileregex searches for an r.e. in every line of a given file.
fileregex_o = fileregex.o printchar.o $(regex_o)
fileregex: $(fileregex_o)
	$(CC) -o $@ $(LDFLAGS) $(fileregex_o) $(LIBS)

# cppregex is regex with a preprocessed regex.c.  Useful when the
# problem is inside some macro.
cppregex: regexcpp.o $(common_o) $(test_o) main.o
	$(CC) -o $@ $(LDFLAGS) $^ $(LIBS)

regexcpp.o: regexcpp.c 

regexcpp.c: regex.c regexcpp.sed
	rm -f regexcpp.c
	$(CC) -E $(ALL_CPPFLAGS) ../$(srcdir)/regex.c \
          | egrep -v '^#|^ *$$' \
          | sed -f regexcpp.sed \
          > regexcpp.c
	chmod a-w regexcpp.c

# Have to give this malloc special flags.
emacsmalloc.o: emacsmalloc.c
	$(CC) -c $(CFLAGS) $(ALL_CPPFLAGS) $(emacsmallocflags) \
	  ../$(srcdir)/test/emacsmalloc.c

syntax: syntax.o
	$(CC) $(CFLAGS) -o $@ syntax.o

syntax.c: syntax.skel bits
	sed '/\[\[\[replace.*\]\]\]/r bits' syntax.skel > $@

bits: regex.h
	sed -n 1,/RE_SYNTAX_EMACS/p ../$(srcdir)/regex.h \
          | grep "#define RE_.*1" \
          | sed 's/^#define \(RE_[A-Z_]*\) .*/  TEST_BIT (\1);/' > $@

check: regex
	./regex

TAGS: regex.c regex.h *.h *.c
	$(ETAGS) -t $^

depend:
	gcc -MM $(ALL_CPPFLAGS) *.c > /tmp/depend
.PHONY: depend

install:
.PHONY: install

clean mostlyclean:
	rm -f *.o regex cppregex iregex fileregex regexcpp.c syntax

distclean: clean
	rm -f bits syntax.c Makefile

extraclean: distclean
	rm -f *~* *\#* patch* *.orig *.rej *.bak core a.out

realclean: distclean
	rm -f TAGS

Makefile: Makefile.in ../config.status
	(cd ..; sh config.status)

# Prevent GNU make 3 from overflowing arg limit on system V.
.NOEXPORT:

# Assumes $(distdir) is the place to put our files.
distfiles = ChangeLog TAGS *.in *.c *.h regexcpp.sed syntax.skel
dist: Makefile TAGS
	mkdir $(distdir)
	ln $(distfiles) $(distdir)

# Automatically-generated dependencies below here.
alloca.o : alloca.c 
bsd-interf.o : bsd-interf.c 
debugmalloc.o : debugmalloc.c 
emacsmalloc.o : emacsmalloc.c getpagesize.h 
fileregex.o : fileregex.c .././regex.h 
g++malloc.o : g++malloc.c //usr/include/stdio.h getpagesize.h 
iregex.o : iregex.c .././regex.h 
main.o : main.c test.h .././regex.h 
malloc-test.o : malloc-test.c 
other.o : other.c test.h .././regex.h 
printchar.o : printchar.c 
psx-basic.o : psx-basic.c test.h .././regex.h 
psx-extend.o : psx-extend.c test.h .././regex.h 
psx-generic.o : psx-generic.c test.h .././regex.h 
psx-group.o : psx-group.c test.h .././regex.h 
psx-interf.o : psx-interf.c test.h .././regex.h 
psx-interv.o : psx-interv.c test.h .././regex.h 
syntax.o : syntax.c .././regex.h 
test.o : test.c test.h .././regex.h 
tregress.o : tregress.c test.h .././regex.h 
upcase.o : upcase.c 
xmalloc.o : xmalloc.c

## bibtool 2.44

=== Doc/Makefile ===
--- 
+++ 
@@ -1,14 +1,15 @@
 ##*****************************************************************************
-## $Id: Makefile,v 2.42 1997/12/03 11:50:30 gerd Exp $
+## $Id: Makefile,v 2.43 1999/12/18 22:04:46 gerd Exp $
 ##=============================================================================
 ## 
 ## This file is part of BibTool.
 ## It is distributed under the GNU General Public License.
 ## See the file COPYING for details.
 ## 
-## (c) 1997 Gerd Neugebauer
+## (c) 1997-1999 Gerd Neugebauer
 ## 
-## Net: gerd@informatik.uni-koblenz.de
+## Net: gerd.neugebauer@sdm.de
+##	gerd.neugebauer@gmx.de
 ## 
 ##*****************************************************************************

=== regex-0.12/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile for regex.
# 
# Copyright (C) 1992, 1993 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

version = 0.12

# You can define CPPFLAGS on the command line.  Aside from system-specific
# flags, you can define:
#   -DREGEX_MALLOC to use malloc/realloc/free instead of alloca.
#   -DDEBUG to enable the compiled pattern disassembler and execution
#           tracing; code runs substantially slower.
#   -DEXTRACT_MACROS to use the macros EXTRACT_* (as opposed to
#           the corresponding C procedures).  If not -DDEBUG, the macros
#           are used.
CPPFLAGS = 

# Likewise, you can override CFLAGS to optimize, use -Wall, etc.
CFLAGS = -g

# Ditto for LDFLAGS and LOADLIBES.
LDFLAGS =
LOADLIBES =

srcdir = .
VPATH = .

CC = gcc
DEFS =  -DHAVE_STRING_H=1 -DHAVE_ALLOCA_H=1

SHELL = /bin/sh

subdirs = doc test

default all:: regex.o
.PHONY: default all

regex.o: regex.c regex.h
	$(CC) $(CFLAGS) $(CPPFLAGS) $(DEFS) -I. -I$(srcdir) -c $<

clean mostlyclean::
	rm -f *.o

distclean:: clean
	rm -f Makefile config.status

extraclean:: distclean
	rm -f patch* *~* *\#* *.orig *.rej *.bak core a.out

configure: configure.in
	autoconf

config.status: configure
	sh configure --no-create

Makefile: Makefile.in config.status
	sh config.status

makeargs = $(MFLAGS) CPPFLAGS='$(CPPFLAGS)' CFLAGS='$(CFLAGS)' CC='$(CC)' \
DEFS='$(DEFS)' LDFLAGS='$(LDFLAGS)' LOADLIBES='$(LOADLIBES)'

default all install \
mostlyclean clean distclean extraclean realclean \
TAGS check::
	for d in $(subdirs); do (cd $$d; $(MAKE) $(makeargs) $@); done
.PHONY: install mostlyclean clean distclean extraclean realclean TAGS check

# Prevent GNU make 3 from overflowing arg limit on system V.
.NOEXPORT:

distfiles = AUTHORS ChangeLog COPYING INSTALL NEWS README \
            *.in configure regex.c regex.h 
distdir = regex-$(version)
distargs = version=$(version) distdir=../$(distdir)/$$d
dist: TAGS configure
	@echo "Version numbers in: Makefile.in, ChangeLog, NEWS,"
	@echo "  regex.c, regex.h,"
	@echo "  and doc/xregex.texi (if modified)."
	rm -rf $(distdir)
	mkdir $(distdir)
	ln $(distfiles) $(distdir)
	for d in $(subdirs); do (cd $$d; $(MAKE) $(distargs) dist); done
	tar czhf $(distdir).tar.Z $(distdir)
	rm -rf $(distdir)
.PHONY: dist

## bibtool 2.46

=== BibTcl/Makefile ===
# Generated automatically from Makefile.in by configure.
# *****************************************************************************
#  $Id$
# =============================================================================
#  
#  This file is part of BibTool.
#  It is distributed under the GNU General Public License.
#  See the file COPYING for details.
#  
#  (c) 1996-2001 Gerd Neugebauer
#  
#  Net: gene@gerd-neugebauer.de
#  
# *****************************************************************************

prefix		= /usr/local
exec_prefix	= ${prefix}

LIBDIR		= ${exec_prefix}/lib/BibTool

CC		= gcc -pipe
CFLAGS		= -g
SHLIB_CFLAGS	= -fPIC
SHLIB_LD	= gcc -pipe -shared
SHLIB_SUFFIX	= .so
SHLIB_VERSION	= 
SRC_DIR		= .
TCLSH		= tclsh
TCL_VERSION	= 8.3
TCL_PREFIX	= /usr
TCL_INCLUDE	= /usr/include
RM		= /bin/rm -f

LATEX 		= latex
BIBTEX 		= bibtex
MAKEINDEX	= makeindex

BIBTOOLDIR = ..
OFILES	   = $(BIBTOOLDIR)/database.o	\
	     $(BIBTOOLDIR)/entry.o	\
	     $(BIBTOOLDIR)/error.o	\
	     $(BIBTOOLDIR)/expand.o	\
	     $(BIBTOOLDIR)/init.o	\
	     $(BIBTOOLDIR)/key.o	\
	     $(BIBTOOLDIR)/macros.o	\
	     $(BIBTOOLDIR)/names.o	\
	     $(BIBTOOLDIR)/parse.o	\
	     $(BIBTOOLDIR)/print.o	\
	     $(BIBTOOLDIR)/pxfile.o	\
	     $(BIBTOOLDIR)/record.o	\
	     $(BIBTOOLDIR)/rewrite.o	\
	     $(BIBTOOLDIR)/regex.o	\
	     $(BIBTOOLDIR)/rsc.o	\
	     $(BIBTOOLDIR)/s_parse.o	\
	     $(BIBTOOLDIR)/symbols.o	\
	     $(BIBTOOLDIR)/stack.o	\
	     $(BIBTOOLDIR)/sbuffer.o	\
	     $(BIBTOOLDIR)/tex_aux.o	\
	     $(BIBTOOLDIR)/tex_read.o	\
	     $(BIBTOOLDIR)/type.o	\
	     $(BIBTOOLDIR)/version.o	\
	     $(BIBTOOLDIR)/wordlist.o

all:  bibtool${SHLIB_SUFFIX} bibtool.tcl

bibtool${SHLIB_SUFFIX}: bibtool.c $(OFILES)
	$(CC) -c $(CFLAGS) -I$(BIBTOOLDIR)/include -I$(TCL_INCLUDE) $(SHLIB_CFLAGS) -o bibtool.o $<
	$(SHLIB_LD) bibtool.o $(OFILES) -o $@
	$(RM) bibtool.o

bibtool.tcl: Makefile
	@echo "#----------------------------------------------------------" >$@
	@echo "# This file is automatically created."			   >>$@
	@echo "# Any modifications will be lost the next time it is made." >>$@
	@echo "# This file is part of BibTool."				   >>$@
	@echo "# Copyright (C) 1997-1998 Gerd Neugebauer."		   >>$@
	@echo "set BIBTOOLDIR {$(LIBDIR)}"				   >>$@
	@echo 'load $$BIBTOOLDIR/$$tcl_platform(os)$$tcl_platform(osVersion)/bibtool[info sharedlibextension]' >>$@

INST_DIR = `echo 'puts $(LIBDIR)/$$tcl_platform(os)$$tcl_platform(osVersion)'|$(TCLSH)`

bibtcl.aux bibtcl.idx: bibtcl.tex bibtcl.ltx
	$(LATEX) bibtcl.ltx
bibtcl.dvi: bibtcl.tex bibtcl.ltx bibtcl.bbl bibtcl.ind
	$(LATEX) bibtcl.ltx
	$(LATEX) bibtcl.ltx
bibtcl.ind: bibtcl.idx
	$(MAKEINDEX) -s bibtool.ist bibtcl
bibtcl.bbl: bibtcl.bib bibtcl.aux
	$(BIBTEX) bibtcl

install: bibtool${SHLIB_SUFFIX} bibtool.tcl
	-mkdir $(INST_DIR)
	cp bibtool${SHLIB_SUFFIX} bibtool.tcl $(INST_DIR)

clean:
	rm -f *.o *${SHLIB_SUFFIX} config.cache config.log config.status lib.exp

distclean: clean
	rm -f Makefile

status:
	@echo $(LIBDIR)

=== Doc/Makefile ===
--- 
+++ 
@@ -1,15 +1,14 @@
 ##*****************************************************************************
-## $Id: Makefile,v 2.43 1999/12/18 22:04:46 gerd Exp $
+## $Id: Makefile,v 2.42 1997/12/03 11:50:30 gerd Exp $
 ##=============================================================================
 ## 
 ## This file is part of BibTool.
 ## It is distributed under the GNU General Public License.
 ## See the file COPYING for details.
 ## 
-## (c) 1997-1999 Gerd Neugebauer
+## (c) 1997-2002 Gerd Neugebauer
 ## 
-## Net: gerd.neugebauer@sdm.de
-##	gerd.neugebauer@gmx.de
+## Net: gene@gerd-neugebauer.de
 ## 
 ##*****************************************************************************

## bibtool 2.48alpha.2

=== BibTcl/Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 SHLIB_VERSION	= 
 SRC_DIR		= .
 TCLSH		= tclsh
-TCL_VERSION	= 8.3
+TCL_VERSION	= 8.4
 TCL_PREFIX	= /usr
 TCL_INCLUDE	= /usr/include
 RM		= /bin/rm -f

=== Doc/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 ## It is distributed under the GNU General Public License.
 ## See the file COPYING for details.
 ## 
-## (c) 1997-2002 Gerd Neugebauer
+## (c) 1997-2004 Gerd Neugebauer
 ## 
 ## Net: gene@gerd-neugebauer.de
 ##

## bibtool 2.54+ds

=== debian/changelog ===
bibtool (2.54+ds-1) unstable; urgency=low

  * New upstream version.
  * Revisit bibtool man page debianization.
  * Provide the bibtool manual in compressed pdf format (rather than
    in plain pdf format), as such it is not distributed compressed.
  * Add a link to the bibtool manual pdf in /usr/share/doc/texmf/bibtool.
  * Repack the source to drop off some substantial weight by wiping out the
    third-party old library regex-0.12 source, which is unnecessary as Debian
    uses regex from glibc, and related material meant for non UN*X systems.
  * Add the optional get-orig-source target in debian/rules to get the currently
    packaged upstream tarball and to repack it.
  * Update debian/copyright wrt repacking.
  * Add a default target in debian/rules which basically queries package status
    with uscan; output in DEHS format.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 26 Feb 2012 03:22:40 +0000

bibtool (2.54+cvs20120219-1) unstable; urgency=low

  * New maintainer (Closes: #525921).
  * New upstream version.
    - Handle segmentation fault rised in expand.c (Closes: #535581).
    - Fix empty string parsing error in s_parce function (Closes: #545823).
    - Integrate previous Debian fixes.
  * Bump debhelper build-dep to >= 8.
  * Update to source format 3.0 (quilt).
  * Rewrite debian/rules to use dh sequencer with autoreconf support.
  * Convert debian/copyright to DEP-5 format.
  * Debianize AutoConf/makefile.in to enable a minimal debian/rules.
  * Update watch file.
  * Update package description wrt the homepage and the man page.
  * Provide documents in pdf format (rather than in dvi format).
  * Add doc-base data.
  * Cleanup Debian support for HAVE_PROTOTYPE for kpathsea as Debian no
    more needs it.
  * Provide now a changelog in text format extracted from the Changes.tex
    distributed in upstream source, Changes.tex is also available.
  * Provide Changes (changelog) in pdf and in HTML formats as the upstream
    maintainer plays with font to report changes.
  * Revisit Build-Depends entry in debian/control.
  * Remove pre-lenny debian/preinst script.
  * Minor fixes and enhancements haves been submitted to the upstream maintainer
    and integrated by him.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 19 Feb 2012 05:57:39 +0100

bibtool (2.48alpha.2-4) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>.
  * Acknowledge NMUs.
  * Move URL from package description to Homepage.
  * Update watch file. (Closes: #449718).
  * Fix spelling error in package description. (Closes: #363178).
  * Make clean not ignore errors.
  * Syntax cleanup in debian/copyright.
  * Bump debhelper build-dep to >= 5.
  * Move DH_COMPAT from rules to debian/compat and set to 5.
  * Bump Standards Version to 3.8.1.

 -- Barry deFreese <bdefreese@debian.org>  Tue, 28 Apr 2009 12:07:38 -0400

bibtool (2.48alpha.2-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS by changing to texlive dependencies. Closes: #427273

 -- Andreas Barth <aba@not.so.argh.org>  Mon,  2 Jul 2007 19:46:10 +0000

bibtool (2.48alpha.2-3) unstable; urgency=low

  * Fix lurking pointer-size bug in main.c
  * Bump standards-version to 2.7.2 (no changes needed)

 -- Henning Makholm <henning@makholm.net>  Fri,  9 Jun 2006 22:38:17 +0200

bibtool (2.48alpha.2-2) unstable; urgency=low

  * Rebuild with new libkpathsea package

 -- Henning Makholm <henning@makholm.net>  Wed, 22 Feb 2006 00:27:02 +0100

bibtool (2.48alpha.2-1) unstable; urgency=low

  * New upstream version.
  * New version's check_y.rsc is Y2K safe (Closes: #226804)

  * New maintainer (Closes: #321332)

  * Discontinue the bibtool-dev package, which was deemed unuseful.
    http://lists.debian.org/debian-devel/2005/08/msg00520.html
    It can be resurrected if something that uses it gets packaged.
    
  * Kill off the /usr/doc/bibtool symlink.
  * Rewrite entire Debian build infrastructure.
  * Should now link with libkpathsea on all architectures

 -- Henning Makholm <henning@makholm.net>  Sat, 27 Aug 2005 11:44:02 +0200

bibtool (2.46-2) unstable; urgency=medium

  * Modified postinst to ignore an existing /usr/doc/$package directory.

 -- Brian Mays <brian@debian.org>  Wed, 20 Mar 2002 10:09:37 -0500

bibtool (2.46-1) unstable; urgency=low

  * New upstream version.

 -- Brian Mays <brian@debian.org>  Wed, 20 Feb 2002 11:25:34 -0500

bibtool (2.45-3) unstable; urgency=low

  * Added patches from Chung-chieh Shan <ken@digitas.harvard.edu> to
    fix the chasing of crossreferences when the "-x" option is used.
    (Closes: Bug#134201, Bug#134202)

 -- Brian Mays <brian@debian.org>  Sat, 16 Feb 2002 11:46:58 -0500

bibtool (2.45-2) unstable; urgency=low

  * Fixed symlink /usr/doc -> ../share/doc.
  * Fixed reference to GPL.
  * Improved stripping of binaries.

 -- Brian Mays <brian@debian.org>  Fri,  1 Feb 2002 12:18:51 -0500

bibtool (2.45-1) unstable; urgency=low

  * New upstream version.
  * Fixed spelling error in description.  (Closes: Bug#124450)
  * Fixed symlink /usr/doc -> ../share/doc.
  * Removed reference in man page to nonexistant "-O" option.  (Closes:
    Bug#131261)

 -- Brian Mays <brian@debian.org>  Mon, 28 Jan 2002 10:46:38 -0500

bibtool (2.44-4) unstable; urgency=low

  * Fixed bibtool to not start printing with a blank line.  (Closes:
    Bug#87101)
  * Removed "-g" gcc option as per policy.

 -- Brian Mays <brian@debian.org>  Mon,  9 Jul 2001 09:58:55 -0400

bibtool (2.44-3) unstable; urgency=low

  * Added a bibtool-dev package.  (Closes: Bug#58953)

 -- Brian Mays <brian@debian.org>  Thu,  2 Mar 2000 12:54:09 -0500

bibtool (2.44-2) frozen unstable; urgency=low

  * Added build-time dependencies.

 -- Brian Mays <brian@debian.org>  Mon, 17 Jan 2000 13:25:57 -0500

bibtool (2.44-1) unstable; urgency=low

  * New upstream version.

 -- Brian Mays <brian@debian.org>  Fri, 24 Dec 1999 11:18:38 -0500

bibtool (2.43-10) unstable; urgency=low



=== debian/control ===
Source: bibtool
Section: tex
Priority: optional
Maintainer: Jerome Benoit <calculus@rezozer.net>
Build-Depends:
 debhelper (>= 8.0.0), autotools-dev, dh-autoreconf, tex-common,
 texlive-binaries, texlive-latex-base, texlive-latex-recommended,
 libkpathsea-dev,
 tth, html2text
Standards-Version: 3.9.3
Homepage: http://www.gerd-neugebauer.de/software/TeX/BibTool/

Package: bibtool
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tool to manipulate BibTeX files
 BibTeX provides an easy to use means to integrate citations and
 bibliographies into LaTeX documents. But the user is left alone with
 the management of the BibTeX files. BibTool is intended to fill this
 gap. BibTool allows the  manipulation of BibTeX files which goes
 beyond the possibilities -- and intentions -- of BibTeX.
 .
 BibTool manipulates BibTeX database files through the command line
 front\-end bibtool which accepts numerous options. Modifications are
 performed through resource instructions that allow the modification
 of the various internal parameters determining the behavior of BibTool;
 resource instructions can be grouped in resource files.
 The original BibTool distribution contains a sufficient set of resource
 file samples to perform basic, relevant manipulations.
 .
 BibTool contains a documentation written in LaTeX.
 .
 BibTool is written in C and has been compiled on various operating
 systems like flavors of UN*X and MSDOS machines.

=== debian/rules ===
#!/usr/bin/make -f

default:
	uscan --no-conf --dehs || true

%:
	dh $@ --with autoreconf --with tex

override_dh_installchangelogs:
	dh_installchangelogs --keep Changes.txt

override_dh_compress:
	dh_compress --exclude=bibtool.pdf

get-orig-source:
	uscan --no-conf --download-current-version --verbose

## bibtool 2.55%2Bds

=== debian/watch ===
version=3
opts="uversionmangle=s/_/\./,dversionmangle=s/~cvs\d+//;s/\+ds//" \
http://sarovar.org/project/showfiles.php?group_id=405 .*BibTool-([\d.]+)\.tar\.gz \
debian sh debian/repack

## bibtool 2.55+ds

=== Doc/Makefile ===
--- 
+++ 
@@ -1,56 +1,70 @@
 ##*****************************************************************************
-## $Id: Makefile,v 2.42 1997/12/03 11:50:30 gerd Exp $
+## $Id: Makefile,v 1.14 2012-02-12 06:16:08 gene Exp $
 ##=============================================================================
 ## 
 ## This file is part of BibTool.
 ## It is distributed under the GNU General Public License.
 ## See the file COPYING for details.
 ## 
-## (c) 1997-2004 Gerd Neugebauer
+## (c) 1997-2011 Gerd Neugebauer
 ## 
 ## Net: gene@gerd-neugebauer.de
 ## 
 ##*****************************************************************************
 
 LATEX     = latex
+PDFLATEX  = pdflatex
 BIBTEX    = bibtex
 MAKEINDEX = makeindex
 
 DIR_SEP   = /
 
-.SUFFIXES: .tex .toc .dvi .aux .bbl .ind .idx $(SUFFIXES)
+.SUFFIXES: .tex .toc .dvi .pdf .aux .bbl .ind .idx $(SUFFIXES)
 
+.tex.pdf:
+	$(PDFLATEX) $<
 .tex.dvi:
 	$(LATEX) $<
 .tex.toc:
-	$(LATEX) $<
+	$(PDFLATEX) $<
 .tex.idx:
-	$(LATEX) $<
+	$(PDFLATEX) $<
 .tex.aux:
-	$(LATEX) $<
+	$(PDFLATEX) $<
 .aux.bbl:
 	$(BIBTEX) $*
 
-##-----------------------------------------------------------------------------
-
-all: bibtool.dvi ref_card.dvi c_lib
+TARGETS = bibtool.pdf ref_card.pdf c_lib.pdf
 
 ##-----------------------------------------------------------------------------
 
-bibtool.dvi: bibtool.tex bibtool.bbl bibtool.ind
+all: $(TARGETS)
+
+##-----------------------------------------------------------------------------
+
+bibtool.dvi: config.tex bibtool.tex bibtool.bbl bibtool.ind
 	$(LATEX) bibtool
 	$(LATEX) bibtool
+
+bibtool.pdf: config.tex bibtool.tex bibtool.bbl bibtool.ind
+	$(PDFLATEX) bibtool
+	$(PDFLATEX) bibtool
 
 bibtool.ind ind index: bibtool.idx
 	$(MAKEINDEX) -s bibtool.ist bibtool
 
-config.tex: ..$(DIR_SEP)Makefile ..$(DIR_SEP)config.h
-	cd ..; $(MAKE) Doc$(DIR_SEP)config.tex
+##-----------------------------------------------------------------------------
+
+config.tex: ..$(DIR_SEP)version.c
+	.$(DIR_SEP)make_version.pl ..$(DIR_SEP)version.c > $*.tex
 
 ##-----------------------------------------------------------------------------
 
-ref_card.dvi: ref_card.tex
+ref_card.dvi: ref_card.tex config.tex
 	$(LATEX) ref_card.tex
+
+ref_card.pdf: ref_card.tex config.tex
+	$(PDFLATEX) ref_card.tex
 
 ##-----------------------------------------------------------------------------
 
@@ -111,22 +125,30 @@
 	$(MAKEINDEX) -s bibtool.ist c_lib
 	$(LATEX) c_lib.tex
 
-c_lib.dvi: c_lib.tex c_main.tex c.tex
+c_lib.dvi: c_lib.tex c_main.tex c.tex config.tex
 	$(LATEX) c_lib.tex
 	$(MAKEINDEX) -s bibtool.ist c_lib
 	$(LATEX) c_lib.tex
 
+c_lib.pdf: c_lib.tex c_main.tex c.tex config.tex
+	$(PDFLATEX) c_lib.tex
+	$(MAKEINDEX) -s bibtool.ist c_lib
+	$(PDFLATEX) c_lib.tex
+
 c_main.tex: $(CDIR)main.c c_get.pl
-	c_get.pl $(CDIR)main.c > $@
+	perl c_get.pl $(CDIR)main.c > $@
 c.tex: $(CFILES) c_get.pl
-	c_get.pl $(CFILES) >  $@
+	perl c_get.pl $(CFILES) >  $@
 
 ##-----------------------------------------------------------------------------
 
 clean:
-	$(RM) *.bak *.BAK *~ *.log *.ilg *.blg
+	$(RM) *.bak *.BAK *~ *.log *.ilg *.blg *.toc *.out *.aux *.idx *.ind *.bbl
 
-veryclean:
-	$(RM) *.bak *.BAK *~ *.log *.toc *.aux *.idx *.ind *.ilg *.bbl *.blg
+veryclean: clean
+	$(RM) c.tex c_main.tex config.tex
+
+distclean: veryclean
+	$(RM) $(TARGETS)

=== debian/changelog ===
bibtool (2.55+ds-2) unstable; urgency=low

  * Bump Standards Version to 3.9.4.
  * debian/control:
    - Vcs-* headers added.
  * debian/copyright:
    - unduplicate copyright field.
  * debian/rules:
    - default target, add the option --report to uscan: no more download
      is now performed;
  * debian/*:
    - clean triming whitespaces.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 05 Jun 2013 03:29:49 +0000

bibtool (2.55+ds-1) unstable; urgency=low

  * New upstream version.
  * Minor fixes submitted to the upstream maintainer.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 06 May 2012 11:46:45 +0000

bibtool (2.54+ds-2) unstable; urgency=low

  * Bump debhelper build-dep to >= 9.
  * Bump Standards Version to 3.9.3.
  * Hardened.
  * Fix a typo in debian/control Description.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 07 Mar 2012 23:50:29 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,17 @@
 Source: bibtool
 Section: tex
 Priority: optional
-Maintainer: Jerome Benoit <calculus@rezozer.net>
+Maintainer: Debian Tex Maintainers <debian-tex-maint@lists.debian.org>
+Uploaders: Jerome Benoit <calculus@rezozer.net>
 Build-Depends:
- debhelper (>= 8.0.0), autotools-dev, dh-autoreconf, tex-common,
+ debhelper (>= 9), autotools-dev, dh-autoreconf, tex-common,
  texlive-binaries, texlive-latex-base, texlive-latex-recommended,
  libkpathsea-dev,
  tth, html2text
-Standards-Version: 3.9.3
-Homepage: http://www.gerd-neugebauer.de/software/TeX/BibTool/
+Standards-Version: 3.9.4
+Homepage: http://www.gerd-neugebauer.de/software/TeX/BibTool
+Vcs-Git: git://anonscm.debian.org/debian-tex/bibtool.git
+Vcs-Browser: http://anonscm.debian.org/?p=debian-tex/bibtool.git
 
 Package: bibtool
 Architecture: any
@@ -21,7 +24,7 @@
  beyond the possibilities -- and intentions -- of BibTeX.
  .
  BibTool manipulates BibTeX database files through the command line
- front\-end bibtool which accepts numerous options. Modifications are
+ front-end bibtool which accepts numerous options. Modifications are
  performed through resource instructions that allow the modification
  of the various internal parameters determining the behavior of BibTool;
  resource instructions can be grouped in resource files.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,9 @@
 #!/usr/bin/make -f
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 default:
-	uscan --no-conf --dehs || true
+	@uscan --no-conf --dehs --report || true
 
 %:
 	dh $@ --with autoreconf --with tex
@@ -14,4 +16,3 @@
 
 get-orig-source:
 	uscan --no-conf --download-current-version --verbose
-

## bibtool 2.57+ds

=== doc/Makefile ===
##*** Makefile ****************************************************************
## 
## This file is part of BibTool.
## It is distributed under the GNU General Public License.
## See the file COPYING for details.
## 
## (c) 1997-2014 Gerd Neugebauer
## 
## Net: gene@gerd-neugebauer.de
## 
##*****************************************************************************

LATEX     = latex
PDFLATEX  = pdflatex
BIBTEX    = bibtex
MAKEINDEX = makeindex

DIR_SEP   = /

.SUFFIXES: .tex .toc .dvi .pdf .aux .bbl .ind .idx $(SUFFIXES)

.tex.pdf:
	$(PDFLATEX) $<
.tex.dvi:
	$(LATEX) $<
.tex.toc:
	$(PDFLATEX) $<
.tex.idx:
	$(PDFLATEX) $<
.tex.aux:
	$(PDFLATEX) $<
.aux.bbl:
	$(BIBTEX) $*

TARGETS = bibtool.pdf ref_card.pdf c_lib.pdf

##-----------------------------------------------------------------------------

all: $(TARGETS)

##-----------------------------------------------------------------------------

bibtool.dvi: config.tex bibtool.tex bibtool.bbl bibtool.ind
	$(LATEX) bibtool
	$(LATEX) bibtool

bibtool.pdf: config.tex bibtool.tex bibtool.bbl bibtool.ind
	$(PDFLATEX) bibtool
	$(PDFLATEX) bibtool

bibtool.ind ind index: bibtool.idx
	$(MAKEINDEX) -s bibtool.ist bibtool

##-----------------------------------------------------------------------------

config.tex: ..$(DIR_SEP)version.c
	.$(DIR_SEP)make_version.pl ..$(DIR_SEP)version.c > $*.tex

##-----------------------------------------------------------------------------

ref_card.dvi: ref_card.tex config.tex
	$(LATEX) ref_card.tex

ref_card.pdf: ref_card.tex config.tex
	$(PDFLATEX) ref_card.tex

##-----------------------------------------------------------------------------

CDIR	= ..$(DIR_SEP)
HDIR	= ..$(DIR_SEP)include$(DIR_SEP)bibtool$(DIR_SEP)
CFILES	= $(HDIR)bibtool.h	\
	  $(HDIR)database.h	\
	  $(CDIR)database.c	\
	  $(HDIR)entry.h	\
	  $(CDIR)entry.c	\
	  $(HDIR)error.h	\
	  $(CDIR)error.c	\
	  $(HDIR)expand.h	\
	  $(CDIR)expand.c	\
	  $(HDIR)init.h		\
	  $(CDIR)init.c		\
	  $(HDIR)keynode.h	\
	  $(HDIR)key.h		\
	  $(CDIR)key.c		\
	  $(HDIR)macros.h	\
	  $(CDIR)macros.c	\
	  $(HDIR)names.h	\
	  $(CDIR)names.c	\
	  $(HDIR)parse.h	\
	  $(CDIR)parse.c	\
	  $(HDIR)print.h	\
	  $(CDIR)print.c	\
	  $(HDIR)pxfile.h	\
	  $(CDIR)pxfile.c	\
	  $(HDIR)record.h	\
	  $(CDIR)record.c	\
	  $(HDIR)rewrite.h	\
	  $(CDIR)rewrite.c	\
	  $(HDIR)resource.h	\
	  $(HDIR)rsc.h		\
	  $(CDIR)rsc.c		\
	  $(HDIR)s_parse.h	\
	  $(CDIR)s_parse.c	\
	  $(HDIR)stack.h	\
	  $(CDIR)stack.c	\
	  $(HDIR)sbuffer.h	\
	  $(CDIR)sbuffer.c	\
	  $(HDIR)symbols.h	\
	  $(CDIR)symbols.c	\
	  $(HDIR)tex_aux.h	\
	  $(CDIR)tex_aux.c	\
	  $(HDIR)tex_read.h	\
	  $(CDIR)tex_read.c	\
	  $(HDIR)type.h		\
	  $(CDIR)type.c		\
	  $(HDIR)version.h	\
	  $(CDIR)version.c	\
	  $(HDIR)wordlist.h	\
	  $(CDIR)wordlist.c

c_lib:
	$(LATEX) c_lib.tex
	$(MAKEINDEX) -s bibtool.ist c_lib
	$(LATEX) c_lib.tex

c_lib.dvi: c_lib.tex c_main.tex c.tex config.tex
	$(LATEX) c_lib.tex
	$(MAKEINDEX) -s bibtool.ist c_lib
	$(LATEX) c_lib.tex

c_lib.pdf: c_lib.tex c_main.tex c.tex config.tex
	$(PDFLATEX) c_lib.tex
	$(MAKEINDEX) -s bibtool.ist c_lib
	$(PDFLATEX) c_lib.tex

c_main.tex: $(CDIR)main.c c_get.pl
	perl c_get.pl $(CDIR)main.c > $@
c.tex: $(CFILES) c_get.pl
	perl c_get.pl $(CFILES) >  $@

##-----------------------------------------------------------------------------

clean:
	$(RM) *.bak *.BAK *~ *.log *.ilg *.blg *.toc *.out *.aux *.idx *.ind *.bbl

veryclean: clean
	$(RM) c.tex c_main.tex config.tex

distclean: veryclean
	$(RM) $(TARGETS)

=== debian/changelog ===
bibtool (2.57+ds-3) unstable; urgency=medium

  * buffer overflow security fix (Closes: #779573).

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 04 Mar 2015 07:28:23 +0000

bibtool (2.57+ds-2) unstable; urgency=medium

  * fix location of documentation for texdoc
  * add myself to uploaders
  * bump standards version, no changes necessary

 -- Norbert Preining <preining@debian.org>  Wed, 22 Oct 2014 08:42:50 +0900

bibtool (2.57+ds-1) unstable; urgency=low

  * New upstream version.
    - integrate previous Debian fixes that silenced compiler warnings.
  * Debianization:
    - debian/copyright, Source field refresh;
    - debian/control, Homepage field refresh;
    - debian/watch, path refresh to CTAN;
    - debian/patches/*, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 26 Apr 2014 08:42:28 +0000

bibtool (2.56+ds-1) unstable; urgency=low

  * New upstream version (Closes: #744279).
    - integrate previous Debian fixes.
  * Debianization:
    - bump Standards Version to 3.9.5;
    - debian/copyright, Source field refresh;
    - debian/control, Vcs-Browser field correction;
    - debian/watch, path refresh to upstream maintainer webpage as
        sarovar.org is now dead;
    - debian/patches/*, refresh;
    - add gpg-signature check support.
  * Minor fixes submitted to the upstream maintainer.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 16 Apr 2014 09:06:31 +0000

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: tex
 Priority: optional
 Maintainer: Debian Tex Maintainers <debian-tex-maint@lists.debian.org>
-Uploaders: Jerome Benoit <calculus@rezozer.net>
+Uploaders: Jerome Benoit <calculus@rezozer.net>, Norbert Preining <preining@debian.org>
 Build-Depends:
  debhelper (>= 9), autotools-dev, dh-autoreconf, tex-common,
  texlive-binaries, texlive-latex-base, texlive-latex-recommended,
  libkpathsea-dev,
  tth, html2text
-Standards-Version: 3.9.4
-Homepage: http://www.gerd-neugebauer.de/software/TeX/BibTool
+Standards-Version: 3.9.6
+Homepage: http://www.gerd-neugebauer.de/software/TeX/BibTool/index.en.html
 Vcs-Git: git://anonscm.debian.org/debian-tex/bibtool.git
-Vcs-Browser: http://anonscm.debian.org/?p=debian-tex/bibtool.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-tex/bibtool.git
 
 Package: bibtool
 Architecture: any

=== debian/watch ===
version=3
opts="uversionmangle=s/_/\./,dversionmangle=s/~cvs\d+//;s/\+ds//,pgpsigurlmangle=s/$/.asc/" \
http://mirrors.ctan.org/biblio/bibtex/utils/bibtool/BibTool-([\d.]+)\.tar\.gz \
debian sh debian/repack

## bibtool 2.61+ds

=== debian/changelog ===
bibtool (2.61+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/copyright:
      - repack by using the Files-Excluded machinery instead of the ad-hoc
        script debian/repack;
      - refresh;
    - debian/repack, discard (see above);
    - debian/watch:
      - revisit (see above);
      - harden;
    - debian/patches/typo-ustream-Changes_tex.patch, integrated.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 21 Jul 2015 02:37:28 +0000

bibtool (2.60+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/patches/*, minor typo fix in Changes.tex.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 15 Jun 2015 00:35:48 +0000

bibtool (2.59+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 29 Apr 2015 00:27:30 +0000

bibtool (2.59+ds-1) experimental; urgency=medium

  * New upstream version (Closes: #747519, #779573):
    - integrate test provided by Vincent Lefevre <vincent@vinc17.net>
      to fix issues #747519 and #779573, thanks to him;
    - integrate previous Debian micro fix.
  * Debianization:
    - debian/patches/*, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 19 Mar 2015 18:21:33 +0000

bibtool (2.58+ds-1) experimental; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/copyright:
      - date refresh;
      - X-Source-Downloaded-From, X-Upstream-Vcs, X-Upstream-Bugs header
        fields added;
    - debian/repack, refine to allow cleaner git-buildpackage processes;
    - debian/patches/*, refresh;
    - debian/rules, no more compress PDF files.
  * Micro fix for Changes.tex submitted to the upstream maintainer.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 23 Feb 2015 17:08:08 +0000

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	dh_installchangelogs --keep Changes.txt
 
 override_dh_compress:
-	dh_compress --exclude=bibtool.pdf
+	dh_compress -X.pdf
 
 get-orig-source:
-	uscan --no-conf --download-current-version --verbose
+	uscan --no-conf --download-current-version --compression xz --verbose

## bibtool 2.63%2Bds

=== debian/tests/control ===
Tests: make-check
Depends: bibtool, make
Restrictions: allow-stderr, needs-recommends

Test-Command: debian/tests/stresstest test/bib/xampl.bib test/bib/xampl_s.bib $ADTTMP/STRESSTESTDIR
Depends: bibtool
Restrictions: needs-recommends

## bibtool 2.63+ds

=== BibTcl/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Generated automatically from Makefile.in by configure.
 # *****************************************************************************
-#  $Id$
+#  $Id: Makefile,v 1.1 2007-02-08 20:34:25 gene Exp $
 # =============================================================================
 #  
 #  This file is part of BibTool.

=== doc/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 ## It is distributed under the GNU General Public License.
 ## See the file COPYING for details.
 ## 
-## (c) 1997-2014 Gerd Neugebauer
+## (c) 1997-2016 Gerd Neugebauer
 ## 
 ## Net: gene@gerd-neugebauer.de
 ## 
@@ -53,7 +53,7 @@
 
 ##-----------------------------------------------------------------------------
 
-config.tex: ..$(DIR_SEP)version.c
+config.tex: ..$(DIR_SEP)version.c .$(DIR_SEP)make_version.pl
 	.$(DIR_SEP)make_version.pl ..$(DIR_SEP)version.c > $*.tex
 
 ##-----------------------------------------------------------------------------

=== debian/changelog ===
bibtool (2.63+ds-1) unstable; urgency=medium

  * New upstream version:
    - integrate previous Debian reproducible patch and test enhancement.
  * Debianization:
    - debian/control:
      - Vcs-* fields, secure;
    - debian/docs:
      - rename debian/bibtool.docs for consistency;
      - update;
    - debian/upstream-signing-key.pgp, move to debian/upstream/signing-key.pgp;
    - debian/stresstest, move to debian/tests and recycle as Test-Command;
    - debian/test/make-check, harden;
    - debian/patches/*:
      - debian/patches/fix-upstream-Changes_tex.patch, minor fix;
      - debian/patches/fix-upstream-README_ml.patch, aesthetic fix;
      - refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 29 Jan 2016 02:04:04 +0000

bibtool (2.61+ds-4) unstable; urgency=medium

  * Debianization:
    - debian/copyright, update;
    - debian/control:
      - Recommends field, introduce;
      - Enhances field, add.
    - debian/tests/control, correct;
    - debian/texts/make-check, rationalize.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 16 Jan 2016 21:21:01 +0000

bibtool (2.61+ds-3) unstable; urgency=medium

  * Debianization:
    - debian/rules, cleanup;
    - debian/tests/control: harden.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 23 Dec 2015 08:04:20 +0000

bibtool (2.61+ds-2) unstable; urgency=medium

  * Debianization:
    - debian/control:
      - Vcs-Browser field, correct;
    - debian/patches/reproducible-upstream-doc.patch, introduce (unrep fix);
    - debian/patches/rationalization-upstream-test.patch, introduce (CI);
    - debian/tests/control, initiate (CI).

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 20 Dec 2015 07:10:24 +0000

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,14 @@
  tth, html2text
 Standards-Version: 3.9.6
 Homepage: http://www.gerd-neugebauer.de/software/TeX/BibTool/index.en.html
-Vcs-Git: git://anonscm.debian.org/debian-tex/bibtool.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-tex/bibtool.git
+Vcs-Git: https://anonscm.debian.org/git/debian-tex/bibtool.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-tex/bibtool.git
 
 Package: bibtool
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: texlive-base
+Enhances: texlive-base
 Description: tool to manipulate BibTeX files
  BibTeX provides an easy to use means to integrate citations and
  bibliographies into LaTeX documents. But the user is left alone with

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 default:
 	@uscan --no-conf --dehs --report || true

=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds$//,repacksuffix=+ds,pgpsigurlmangle=s/$/.asc/ \
http://mirrors.ctan.org/biblio/bibtex/utils/bibtool/ (?:|.*/)BibTool(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
